import * as AWSLambda from 'aws-lambda';
/**
 * Exported for unit testing.
 * @internal
 */
export declare function verifyBody(event: AWSLambda.APIGatewayProxyEventV2, secret: any): string;
/**
 * Generate a unique execution name which is limited to 64 characters (also used as runner name).
 *
 * Exported for unit testing.
 *
 * @internal
 */
export declare function generateExecutionName(event: any, payload: any): string;
export declare function handler(event: AWSLambda.APIGatewayProxyEventV2): Promise<AWSLambda.APIGatewayProxyResultV2>;
